Next: wcsncmp, Previous: wcslen, Up: Wchar strings

### 6.17 `wcsncat`—concatenate part of two wide-character strings

Synopsis

         #include <wchar.h>
         wchar_t *wcsncat(wchar_t *__restrict s1,
             const wchar_t *__restrict s2, size_t n);

Description
The `wcsncat` function appends not more than n wide-character codes (a null wide-character code and wide-character codes that follow it are not appended) from the array pointed to by s2 to the end of the wide-character string pointed to by s1. The initial wide-character code of s2 overwrites the null wide-character code at the end of s1. A terminating null wide-character code is always appended to the result. If copying takes place between objects that overlap, the behaviour is undefined.

Returns
The `wcsncat` function returns s1; no return value is reserved to indicate an error.

Portability
`wcsncat` is ISO/IEC 9899/AMD1:1995 (ISO C).

No supporting OS subroutines are required.